Bug 1010909 - virt-p2v is mistaken and fails when converting multipath SAN attached server
virt-p2v is mistaken and fails when converting multipath SAN attached server
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 05:37 EDT by Vincent Alloy
Modified: 2015-03-12 13:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-03-12 13:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Alloy 2013-09-23 05:37:51 EDT
Description of problem:
When using virt-p2v on a multipath SAN attached server with LVM, virt-p2v is mistaken and lists several time the same device. But LVM detects duplicated volumes and chooses to use only the last detected. So if you check all the harddrives (because you don't know which one is used by the OS), the p2v process will failed because it will try to read a device no more used by the OS.
You can see which volume is used by using the vgs command on the console.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect a server to a SAN with multipath access and create logical volume
2. Launch virt-p2v
3. Check all harddrives

Actual results:
The same device is listed several time so if you don't know which one is used by the OS. Without knowing which one is the good one, you have to check all and it will failed because it will try to convert a not connected volume.

Expected results:
You should only see the used one (maybe LVM can help you because it automically disconnect the duplicated device).

Additional info:
I manage to do the conversion by checking which volume was used by the system with the vgs command. So after on the GUI I've only chosen the right one and the conversion process succeeded.
Comment 2 RHEL Product and Program Management 2013-10-13 22:00:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Richard W.M. Jones 2015-03-12 13:17:06 EDT
I'm closing this bug:

 - virt-p2v has been rewritten for RHEL 7.2

 - Unofficial previews of the new version are available:

 - If a similar bug occurs with the new version of virt-p2v,
   please open a new bug against Red Hat Enterprise Linux 7 / libguestfs

Note You need to log in before you can comment on or make changes to this bug.